Investors, warrants & staking

Get Staking Requests For Role In Org

Lists staking requests for a roleInOrg (default the caller) with optional status filters.

POSThttps://api.toku.com/tga/get-staking-requests-for-role-in-org

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/get-staking-requests-for-role-in-org' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "statusFilters": [
    "DRAFT"
  ]
}'
200 response
[
  {
    "stakingRequestID": "string",
    "stakingConfigurationID": "string",
    "roleInOrgID": "string",
    "stakingAmount": "string",
    "stakingBalance": "string",
    "stakingStartDate": "string",
    "stakingStatus": "DRAFT",
    "createdAt": "string",
    "grantID": "string",
    "updatedAt": "string",
    "stakingDistributionID": "string",
    "grant": {
      "grantName": "string",
      "grantID": "string",
      "grantAmount": "string"
    },
    "unstakingRequests": [
      {
        "unstakingRequestID": "string",
        "stakingRequestID": "string",
        "unstakingAmount": "string",
        "unstakingDate": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "status": "DRAFT",
        "roleInOrgID": "string"
      }
    ],
    "stakingConfiguration": {
      "stakingConfigurationID": "string",
      "orgID": "string",
      "maxStakePercentage": "string",
      "bufferPeriod": 0,
      "cooldownPeriod": 0,
      "versionNumber": 0,
      "createdAt": "string",
      "updatedAt": "string",
      "isCurrent": true,
      "stakingTypesEnabled": [
        "UNVESTED_LOCKED_TOKENS"
      ]
    }
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

roleInOrgIDstring<uuid>
statusFiltersstring[]

Allowed: at most 20 items

Response

200Successful response
stakingRequestIDstringrequired
stakingConfigurationIDstringrequired
roleInOrgIDstringrequired
stakingAmountstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

stakingBalancestringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

stakingStartDatestringrequired
stakingStatusstringrequired

Available options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, IN_STAKING, UNSTAKE_REQUEST_PLACED, STAKING_PERIOD_COMPLETED, COMPLETED

createdAtstringrequired
grantIDstringrequired
updatedAtstringrequired
stakingDistributionIDstring | nullrequired
grantobjectrequired
Show child attributes
grantNamestringrequired
grantIDstringrequired
grantAmountstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

unstakingRequestsobject[]required
Show child attributes
unstakingRequestIDstringrequired
stakingRequestIDstringrequired
unstakingAmountstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

unstakingDatestringrequired
createdAtstringrequired
updatedAtstringrequired
statusstringrequired

Available options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, IN_STAKING, UNSTAKE_REQUEST_PLACED, STAKING_PERIOD_COMPLETED, COMPLETED

roleInOrgIDstringrequired
stakingConfigurationobjectrequired
Show child attributes
stakingConfigurationIDstringrequired
orgIDstringrequired
maxStakePercentagestringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

bufferPeriodintegerrequired
cooldownPeriodintegerrequired
versionNumberintegerrequired
createdAtstringrequired
updatedAtstringrequired
isCurrentbooleanrequired
stakingTypesEnabledstring[]required
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits